Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.aggregator
Class LogAggregator

    java.lang.Object
      lbg.simulator.tools.aggregator.LogAggregator

All Implemented Interfaces:
  java.lang.Runnable

    public class LogAggregator

extends java.lang.Object
implements java.lang.Runnable

Aggregates execution logs of the Lightweight Bartering Grid Simulator, so as to produce statistically significant results based on multiple executions.

Author:
  Cyril Briquet

Field Summary
`static int` | `DEFAULT_THREAD_POOL_SIZE`
`int` | `thread_pool_size`
`static java.lang.String` | `WELCOME_LA`

Constructor Summary
`LogAggregator(java.lang.String list_of_logs, int thread_pool_size)` Constructs a new LogAggregator.

Method Summary
`void` | `aggregateLogs()`
`void` | `analyzeLogs()`
`static void` | `main(java.lang.String[] args)`
`void` | `run()` Runnable implementation.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### thread_pool_size

    public final int thread_pool_size

### DEFAULT_THREAD_POOL_SIZE

    public static final int DEFAULT_THREAD_POOL_SIZE

See Also:
  Constant Field Values

### WELCOME_LA

    public static final java.lang.String WELCOME_LA

See Also:
  Constant Field Values

Constructor Detail

### LogAggregator

    public LogAggregator(java.lang.String list_of_logs,
                         int thread_pool_size)
                  throws GridException

  Constructs a new LogAggregator.

  Parameters:
    `list_of_logs` - filename of target file containing a space-separated (i.e. StringTokenizer parsable, easily shell-generated) list of filenames of logs to aggregate.
    `thread_pool_size` - thread pool size
  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### run

    public void run()

  Runnable implementation.

  Specified by:
    `run` in interface `java.lang.Runnable`

### analyzeLogs

    public void analyzeLogs()
                     throws GridException

  Throws:
    `GridException`

### aggregateLogs

    public void aggregateLogs()
                       throws GridException

  Throws:
    `GridException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.